scala.util

# control

#### package control

Content Hierarchy Learn more about scaladoc diagrams
Visibility

1. Public
2. All

### Type Members

1. #### class Breaks extends AnyRef

   A class that can be instantiated for the break control abstraction.

2. #### trait ControlThrowable extends Throwable with NoStackTrace

   A marker trait indicating that the `Throwable` it is mixed into is intended for flow control.

3. #### trait NoStackTrace extends Throwable

   A trait for exceptions which, for efficiency reasons, do not fill in the stack trace.

### Value Members

1. #### object Breaks extends Breaks

   An object that can be used for the break control abstraction.

2. #### object Exception

   Classes representing the components of exception handling.

3. #### object NoStackTrace extends Serializable

4. #### object NonFatal

   Extractor of non-fatal Throwables.

5. #### object TailCalls

   Methods exported by this object implement tail calls via trampolining.

### Ungrouped